# OgreOverlayElementFactory.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreOverlayElement.h"`
`#include "OgrePanelOverlayElement.h"`
`#include "OgreBorderPanelOverlayElement.h"`
`#include "OgreTextAreaOverlayElement.h"`

Go to the source code of this file.

## Classes

class | Ogre::OverlayElementFactory
| Defines the interface which all components wishing to supply OverlayElement subclasses must implement. More...
class | Ogre::PanelOverlayElementFactory
| Factory for creating PanelOverlayElement instances. More...
class | Ogre::BorderPanelOverlayElementFactory
| Factory for creating BorderPanelOverlayElement instances. More...
class | Ogre::TextAreaOverlayElementFactory
| Factory for creating TextAreaOverlayElement instances. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:09